﻿using UnityEngine;
using System.Collections;

public class TextureAlphaFader : MonoBehaviour {

	public float startAlpha, endAlpha, fadeTime;

	private float startTime;

	// Use this for initialization
	void Start () {
		startTime = Time.time;
	}
	
	// Update is called once per frame
	void Update () {
		//this.renderer.material.color.a = Mathf.Lerp(startAlpha, endAlpha, (Time.time - startTime) / fadeTime);
		Color oldColour = this.GetComponent<GUITexture>().color;
		this.GetComponent<GUITexture>().color = new Color(oldColour.r, oldColour.b, oldColour.g, Mathf.Lerp(startAlpha, endAlpha, (Time.time - startTime) / fadeTime));
		//if(startTime + fadeTime < Time.time) this.gameObject.SetActive(false);
	}
}
